{% extends 'base_admin.html' %}

{% load i18n %}
{% load static %}

{% block content %}
<div class="container-fluid">

  <!-- Page Heading -->
  <h1 class="h3 mb-2 text-gray-800"><a href="https://datatables.net">{% trans "Hotel Photo" %}</a></h1>

  <!-- DataTales Example -->
  <div class="card shadow mb-4">
    <div class="card-header py-3">
      <h6 class="m-0 font-weight-bold text-primary">{% trans "Photos" %}</h6>
    </div>
    <div class="card-body">

      <!-- Partners can upload thumbnails for their hotels -->
      {% if Thumbnail %}
      <form method="POST" action="{% url 'hotel_admin:editThumb' Hotel.id %}" enctype="multipart/form-data">
        {% csrf_token %}
        <div class="form-group">
          <p>{% trans "Current Thumbnail" %} : {{ Thumbnail.path }}</p>
          <div class="col-10">
            <input name="thumb" type="file" value=" {{Thumbnail.path}}" id="imagebox">
          </div>
        </div>
        <a href="{% url 'hotel_admin:photo_upload' Hotel.id %}" class="btn btn-success float-right">{% trans "Add Images" %}</a>
        <button type="submit" class="btn btn-primary">{% trans "Edit Thumbnail" %}</button>
      </form>
      {% else %}
      <a href="{% url 'hotel_admin:photo_upload' Hotel.id %}" class="btn btn-success float-right">{% trans "Add Images" %}</a>
      <p> {% trans "Please Upload a Photo to represent this hotels Thumbnail" %}</p>
      {% endif %}

      <hr />
      <!-- Partners can add Room photos for their hotels and remove them -->
      {% for photo in Photos|slice:"1:" %}
      <img class="img-thumbnail" src="{{ photopath.url }}" />
      <img class="img-thumbnail" src="{{ photo.path.url }}" />
      <a class="btn btn btn-danger pull-right text-center"
        href="{% url 'hotel_admin:hotel_delete' photo.id %}">{% trans "Delete" %}</a>
      <br />
      <hr />
      {% endfor %}
    </div>
  </div>
  <a class="btn btn-secondary pull-right" href="{% url 'hotel_admin:hotel_view' %}">{% trans "Back" %}</a>
</div>

{% endblock %}